Module jdk.dynalink
Package jdk.dynalink.linker.support

## Class SimpleLinkRequest

- java.lang.Object
- - jdk.dynalink.linker.support.SimpleLinkRequest

All Implemented Interfaces:
  `LinkRequest`

    public class SimpleLinkRequest
    extends Object
    implements LinkRequest

Default simple implementation of `LinkRequest`.

### Constructor Summary

Constructors
`SimpleLinkRequest​(CallSiteDescriptor callSiteDescriptor, boolean callSiteUnstable, Object... arguments)` Creates a new link request.

### Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface jdk.dynalink.linker.LinkRequest

`getArguments, getCallSiteDescriptor, getReceiver, isCallSiteUnstable, replaceArguments`

### Constructor Detail

#### SimpleLinkRequest

    public SimpleLinkRequest​(CallSiteDescriptor callSiteDescriptor,
                             boolean callSiteUnstable,
                             Object... arguments)

Creates a new link request.

Parameters:
  `callSiteDescriptor` - the descriptor for the call site being linked. Must not be null.
  `callSiteUnstable` - true if the call site being linked is considered unstable.
  `arguments` - the arguments for the invocation. Must not be null.
Throws:
  `NullPointerException` - if either `callSiteDescriptor` or `arguments` is null.